org.eclipse.jface.databinding.viewers

## Interface IViewerValueProperty

All Superinterfaces:
  IProperty, IValueProperty

All Known Implementing Classes:
  ViewerValueProperty

    public interface IViewerValueProperty
    extends IValueProperty

`IValueProperty` for observing a JFace viewer

Since:
  1.3
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IViewerObservableValue` `observe(Viewer viewer)` Returns an `IViewerObservableValue` observing this value property on the given viewer
`IViewerObservableValue` `observeDelayed(int delay, Viewer viewer)` Returns an `IViewerObservableValue` observing this value property on the given viewer, which delays notification of value changes until at least `delay` milliseconds have elapsed since that last change event, or until a FocusOut event is received from the viewer's control (whichever happens first).

### Methods inherited from interface org.eclipse.core.databinding.property.value.IValueProperty

`getValue, getValueType, list, map, observe, observe, observeDetail, observeDetail, observeDetail, observeDetail, set, setValue, value, valueFactory, valueFactory`

### Method Detail

#### observe

    IViewerObservableValue observe(Viewer viewer)

Returns an `IViewerObservableValue` observing this value property on the given viewer

Parameters:
  `viewer` - the source viewer
Returns:
  an observable value observing this value property on the given viewer

#### observeDelayed

    IViewerObservableValue observeDelayed(int delay,
                                          Viewer viewer)

Returns an `IViewerObservableValue` observing this value property on the given viewer, which delays notification of value changes until at least `delay` milliseconds have elapsed since that last change event, or until a FocusOut event is received from the viewer's control (whichever happens first).

This method is equivalent to `ViewersObservables.observeDelayedValue(delay, observe(viewer))`.

Parameters:
  `delay` - the delay in milliseconds.
  `viewer` - the source viewer
Returns:
  an observable value observing this value property on the given viewer, and which delays change notifications for `delay` milliseconds.